﻿Public Class frmOrder
    Private Sub btn_OrderId_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_OrderId.Click
        Clipboard.SetText(btn_OrderId.Text)
        MsgBox("Ärendenummret är nu kopierat" & vbCrLf & vbCrLf & "Följande information finns i minnet: " & vbCrLf & Clipboard.GetText & vbCrLf & vbCrLf & "Använd följande kommando för att klistra in från minnet" & vbCrLf & "Ctrl + V", vbInformation, "Bekräftelse")
    End Sub

    Private Sub btn_OrderDate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_OrderDate.Click
    End Sub

    Private Sub btn_OrderCheckId_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_OrderCheckId.Click
    End Sub

    Private Sub btn_OrderSignature_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_OrderSignature.Click
    End Sub

    Private Sub frmOrder_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Randomize()
        btn_OrderId.Text = Format(Today.Date, "yyMMdd") & "-" & Int(Rnd() * 9999)
        btn_OrderDate.Text = Today.Date
        btn_OrderCheckId.Text = btn_OrderId.Text
        btn_OrderSignature.Text = Environment.UserName.ToString

        lbl_frmTitle.Parent = picTop
        lbl_frmTitle.BackColor = Color.Transparent
        lbl_frmTitle.BringToFront()
        lbl_frmTitle.Location = New Point(40, 10)

        PictureBox1.Parent = picTop
        PictureBox1.BackColor = Color.Transparent
        PictureBox1.BringToFront()
        PictureBox1.Size = New Point(36, 36)
        PictureBox1.SizeMode = PictureBoxSizeMode.StretchImage
        PictureBox1.Location = New Point(4, 7)

        mnuDeliveryCompanyPosten.Checked = True
        btn_DeliveryCompany.Text = mnuDeliveryCompanyPosten.Text

        mnuDeliveryCompanyPosten.Checked = True
        btn_DeliveryCompany.Text = mnuDeliveryCompanyPosten.Text

    End Sub

    Private Sub btn_OrderPriority_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_OrderPriority.Click
        mnuOrderPriority.Show(btn_OrderPriority, New System.Drawing.Point(0, 25))
    End Sub

    Private Sub btn_OrderStatus_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_OrderStatus.Click
        mnuOrderStatus.Show(btn_OrderStatus, New System.Drawing.Point(0, 25))
    End Sub

    Private Sub btn_DeliveryCompany_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_DeliveryCompany.Click
        mnuDeliveryCompany.Show(btn_DeliveryCompany, New System.Drawing.Point(0, 25))
    End Sub

    Private Sub btn_AddRow_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_AddRow.Click
        Dim i As Integer
        Dim itmX As New ListViewItem
        Randomize()
        itmX = ListView1.Items.Add(ListView1.Items.Count + 1)
        itmX.SubItems.Add(Int(Rnd() * 100000))
        itmX.SubItems.Add("TOALETTPAPPER KATRIN BASIC 360")
        itmX.SubItems.Add("149,00")
        itmX.SubItems.Add("ST")
        itmX.SubItems.Add("50,00")
        itmX.SubItems.Add("52.00")
        itmX.SubItems.Add(Format(Val(itmX.SubItems(5).Text) - Val(itmX.SubItems(6).Text), "0.00"))
        itmX.SubItems.Add("25,00")
        itmX.SubItems.Add(Format(itmX.SubItems(3).Text * itmX.SubItems(5).Text * itmX.SubItems(8).Text / "100", "0.00"))
        itmX.SubItems.Add(Format(itmX.SubItems(3).Text * itmX.SubItems(5).Text + itmX.SubItems(9).Text, ".00"))
        itmX.SubItems.Add("Ingen information")

        For i = 0 To ListView1.Items.Count - 1 Step 1


            If ListView1.Items(i).SubItems(7).Text > 0 Or ListView1.Items(i).SubItems(3).Text > 0 Then
                ListView1.Items(i).UseItemStyleForSubItems = False
                ListView1.Items(i).SubItems(7).BackColor = Color.Yellow
                ListView1.Items(i).SubItems(3).ForeColor = Color.Black
                ListView1.Items(i).SubItems(7).Font = New Font(Font, FontStyle.Regular)
            ElseIf ListView1.Items(i).SubItems(7).Text < 0 Or ListView1.Items(i).SubItems(3).Text < 0 Then
                ListView1.Items(i).UseItemStyleForSubItems = False
                ListView1.Items(i).SubItems(7).BackColor = Color.LightSalmon
                ListView1.Items(i).SubItems(3).ForeColor = Color.Red
                ListView1.Items(i).SubItems(7).Font = New Font(Font, FontStyle.Regular)
            ElseIf ListView1.Items(i).SubItems(7).Text = 0 Or ListView1.Items(i).SubItems(3).Text = 0 Then
                ListView1.Items(i).UseItemStyleForSubItems = False
                ListView1.Items(i).SubItems(7).BackColor = Color.LimeGreen
                ListView1.Items(i).SubItems(3).ForeColor = Color.Black
                ListView1.Items(i).SubItems(7).Font = New Font(Font, FontStyle.Regular)

            End If
        Next


        Dim TotalSumA As Double = 0
        Dim TempNodeA As ListViewItem
        Dim TempDblA As Double

        For Each TempNodeA In ListView1.Items
            If Double.TryParse(TempNodeA.SubItems.Item(3).Text * TempNodeA.SubItems.Item(5).Text, TempDblA) Then
                TotalSumA += TempDblA
            End If

        Next
        btn_OrderAmountBeforeTax.Text = Format(TotalSumA, "0.00")

        Dim TotalSumB As Double = 0
        Dim TempNodeB As ListViewItem
        Dim TempDblB As Double

        For Each TempNodeB In ListView1.Items
            If Double.TryParse(TempNodeB.SubItems.Item(9).Text, TempDblB) Then
                TotalSumB += TempDblB
            End If
        Next
        btn_OrderTaxAmount.Text = Format(TotalSumB, "0.00")

        Dim TotalSumC As Double = 0
        Dim TempNodeC As ListViewItem
        Dim TempDblC As Double

        For Each TempNodeC In ListView1.Items
            If Double.TryParse(TempNodeC.SubItems.Item(3).Text * TempNodeC.SubItems.Item(5).Text + TempNodeC.SubItems.Item(9).Text, TempDblC) Then
                TotalSumC += TempDblC
            End If
        Next
        btn_OrderAmountAfterTax.Text = Format(TotalSumC, "0.00")
        btn_OrderAmountTotal.Text = Format(TotalSumC, "0.00")

        Dim iTax As Integer
        For iTax = 0 To ListView1.Items.Count - 1
            btn_OrderTaxProcent.Text = ListView1.Items(iTax).SubItems(8).Text
        Next

        If btn_OrderAmountTotal.Text < 0 Then
            btn_OrderAmountTotal.BackColor = Color.Red
        ElseIf btn_OrderAmountTotal.Text >= 0 Then
            btn_OrderAmountTotal.BackColor = Color.Green
        End If
    End Sub

    Private Sub mnuDeliveryCompany_Opening(ByVal sender As System.Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles mnuDeliveryCompany.Opening

    End Sub

    Private Sub mnuOrderStatus_Opening(ByVal sender As System.Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles mnuOrderStatus.Opening

    End Sub

    Private Sub mnuOrderStatusNew_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuOrderStatusNew.Click
        btn_OrderStatus.ForeColor = Color.White
        btn_OrderStatus.BackColor = Color.Green
        btn_OrderStatus.Text = mnuOrderStatusNew.Text
    End Sub

    Private Sub mnuOrderStatusRunning_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuOrderStatusRunning.Click
        btn_OrderStatus.ForeColor = Color.White
        btn_OrderStatus.BackColor = Color.Blue
        btn_OrderStatus.Text = mnuOrderStatusRunning.Text
    End Sub

    Private Sub mnuOrderStatusClosed_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuOrderStatusClosed.Click
        btn_OrderStatus.ForeColor = Color.White
        btn_OrderStatus.BackColor = Color.Red
        btn_OrderStatus.Text = mnuOrderStatusClosed.Text
    End Sub

    Private Sub mnuDeliveryCompanyPosten_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuDeliveryCompanyPosten.Click
        If mnuDeliveryCompanyPosten.Checked = False Then
            mnuDeliveryCompanyPosten.Checked = True
            mnuDeliveryCompanyDHL.Checked = False
            mnuDeliveryCompanySchenker.Checked = False
            mnuDeliveryCompanyBussgods.Checked = False
            btn_DeliveryCompany.Text = mnuDeliveryCompanyPosten.Text
        End If
    End Sub

    Private Sub mnuDeliveryCompanyDHL_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuDeliveryCompanyDHL.Click
        If mnuDeliveryCompanyDHL.Checked = False Then
            mnuDeliveryCompanyPosten.Checked = False
            mnuDeliveryCompanyDHL.Checked = True
            mnuDeliveryCompanySchenker.Checked = False
            mnuDeliveryCompanyBussgods.Checked = False
            btn_DeliveryCompany.Text = mnuDeliveryCompanyDHL.Text
        End If
    End Sub

    Private Sub mnuDeliveryCompanySchenker_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuDeliveryCompanySchenker.Click
        If mnuDeliveryCompanySchenker.Checked = True Then
            mnuDeliveryCompanyPosten.Checked = False
            mnuDeliveryCompanyDHL.Checked = False
            mnuDeliveryCompanySchenker.Checked = True
            mnuDeliveryCompanyBussgods.Checked = False
            btn_DeliveryCompany.Text = mnuDeliveryCompanySchenker.Text
        End If
    End Sub

    Private Sub mnuDeliveryCompanyBussgods_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuDeliveryCompanyBussgods.Click
        If mnuDeliveryCompanyBussgods.Checked = True Then
            mnuDeliveryCompanyPosten.Checked = False
            mnuDeliveryCompanyDHL.Checked = False
            mnuDeliveryCompanySchenker.Checked = False
            mnuDeliveryCompanyBussgods.Checked = True
            btn_DeliveryCompany.Text = mnuDeliveryCompanyBussgods.Text
        End If
    End Sub

    Private Sub mnuOrderPriorityNormal_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuOrderPriorityNormal.Click
        btn_OrderPriority.ForeColor = Color.White
        btn_OrderPriority.BackColor = Color.Green
        btn_OrderPriority.Text = "Normal"
    End Sub

    Private Sub mnuOrderPriorityQuick_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuOrderPriorityQuick.Click
        btn_OrderPriority.ForeColor = Color.White
        btn_OrderPriority.BackColor = Color.Red
        btn_OrderPriority.Text = "Brådskande"
    End Sub

    Private Sub picTop_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles picTop.Click
    End Sub

    Private Sub lbl_frmTitle_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lbl_frmTitle.Click

    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_OrderRefInput.Click
        Dim ref As String
        ref = InputBox("Ange referenstext (Rek. Nr, Köpare, osv.)", "Referenstext", btn_OrderRefInput.Text)
        btn_OrderRefInput.Text = ref
    End Sub

    Private Sub btn_OrderClientId_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_OrderClientId.Click
        Dim ClientId As String
        ClientId = InputBox("Ange klientens kundnummer här:", "Kundnummer", btn_OrderClientId.Text)
        btn_OrderClientId.Text = ClientId
    End Sub

    Private Sub btn_OrderClientName_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_OrderClientName.Click
        Dim ClientName As String
        ClientName = InputBox("Ange klientens namn här:", "Namn", btn_OrderClientName.Text)
        btn_OrderClientName.Text = ClientName
    End Sub

    Private Sub btn_OrderClientPhone_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn_OrderClientPhone.Click
        Dim ClientPhone As String
        ClientPhone = InputBox("Ange klientens telefonnummer här:", "Telefon", btn_OrderClientPhone.Text)
        btn_OrderClientPhone.Text = ClientPhone
    End Sub
End Class
